Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
osmium::location_less Struct Reference

`#include <node_ref.hpp>`

## Public Types
using | first_argument_type = NodeRef
using | second_argument_type = NodeRef
using | result_type = bool

## Public Member Functions
constexpr bool | operator() (const NodeRef &lhs, const NodeRef &rhs) const noexcept

## Detailed Description

Functor to compare NodeRefs by Location instead of ID.

## Member Typedef Documentation

## ◆ first_argument_type

using osmium::location_less::first_argument_type = NodeRef

## ◆ result_type

using osmium::location_less::result_type = bool

## ◆ second_argument_type

using osmium::location_less::second_argument_type = NodeRef

## Member Function Documentation

## ◆ operator()()

bool osmium::location_less::operator() | ( | const NodeRef & | lhs,
|  | const NodeRef & | rhs ) const
| inline constexpr noexcept

The documentation for this struct was generated from the following file:

- include/osmium/osm/node_ref.hpp